Skip to main content
GET
/
providers
/
{provider}
/
files
List provider files
curl --request GET \
  --url https://api.veryfront.com/providers/{provider}/files \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "path": "<string>",
      "mime_type": "<string>",
      "size": 123,
      "is_folder": true,
      "modified_at": "<string>",
      "thumbnail": "<string>"
    }
  ],
  "page_info": {
    "self": "<string>",
    "first": null,
    "next": "<string>",
    "prev": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

provider
string
required

External storage provider identifier, such as onedrive, sharepoint, google_drive, or dropbox.

Query Parameters

project_id
string<uuid>

Optional project ID for project-scoped provider credentials.

path
string

Optional provider folder path to list.

cursor
string

Provider pagination cursor returned from a previous page.

Response

File listing

data
object[]
required

Provider files and folders.

page_info
object
required

Pagination cursor values for traversing the result set.